@ECHO OFF
CLS
IF NOT EXIST DE-c0d.exe GOTO REALLYBAD
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO                            . . . . . . .  . . . . . .
ECHO                         . . c0d . . INSTALL . . c0d . .
ECHO                      . . . . . . . . . . . . . . . . . . .
ECHO.
ECHO                    HEWLETT PACKARD FONTSMART FOR WINDOWS 95
ECHO.
ECHO                     ::::::::::::::::::::::::::::::::::::::
ECHO                     Use this install to put file into this
ECHO                     directory. Or use type "INSTALL <dir>"
ECHO                     ::::::::::::::::::::::::::::::::::::::
ECHO                         (Press CTRL-C ABORT INSTALL!!)
ECHO.
ECHO.
ECHO.
ECHO.
IF NOT %1!==! ECHO If you're ready to install in %1,
IF %1!==! ECHO If you're ready to install to:
IF %1!==! cd
PAUSE
IF NOT EXIST HPFNTSMR.000 GOTO BAD
IF NOT EXIST HPFNTSMR.001 GOTO BAD
IF NOT EXIST HPFNTSMR.002 GOTO BAD
IF NOT EXIST HPFNTSMR.003 GOTO BAD
IF NOT EXIST HPFNTSMR.004 GOTO BAD
IF NOT EXIST HPFNTSMR.005 GOTO BAD
IF NOT EXIST HPFNTSMR.006 GOTO BAD
de-c0d X -V -Y HPFNTSMR.* %1
GOTO END
:BAD
CLS
ECHO  Error ! ! ! ! Error ! ! ! ! Error ! ! ! ! Error ! ! ! ! Error ! ! ! ! 
ECHO.
ECHO          You MUST have the following to install HP FontSmart!
ECHO.
ECHO      HPFNTSMR.000
ECHO        HPFNTSMR.001
ECHO          HPFNTSMR.002
ECHO            HPFNTSMR.003
ECHO              HPFNTSMR.004
ECHO                HPFNTSMR.005
ECHO                  HPFNTSMR.006
ECHO.
ECHO                  *** ALL FILES ** to this direcotry!
ECHO.
ECHO  Error ! ! ! ! Error ! ! ! ! Error ! ! ! ! Error ! ! ! ! Error ! ! ! ! 
ECHO.
GOTO END
:REALLYBAD
ECHO  Error ! ! ! ! Error ! ! ! ! Error ! ! ! ! Error ! ! ! ! Error ! ! ! ! 
ECHO.
ECHO   YOU NEED DE-C0D.EXE! It was INCLUDED with the origional release!
ECHO.
ECHO  Error ! ! ! ! Error ! ! ! ! Error ! ! ! ! Error ! ! ! ! Error ! ! ! ! 
:END
ECHO c0d! INSTALL BATCH FILE by C.D.C.
ECHO          C0D iN '96!